Skip to main content
GET
/
v1
/
merchants
/
{merchantId}
/
cards
/
{cardId}
Get a merchant's stored card
curl --request GET \
  --url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cards/{cardId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cards/{cardId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cards/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "last_digits": "4242",
  "expiry_month": "12",
  "expiry_year": "2030",
  "funding": "<string>",
  "issuer": "<string>",
  "country": "<string>",
  "bin": "<string>",
  "segment": "<string>",
  "currency": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}

Authorizations

x-api-key
string
header
required

Company API key for authentication

Path Parameters

merchantId
string
required

The merchant ID

cardId
string
required

The card ID

Response

The stored card

A stored card. The encrypted number is never returned.

id
string
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

source
enum<string>
required
Available options:
API,
TRANSACTION
status
enum<string>
required
Available options:
ACTIVE,
REPLACED,
CLOSED,
INVALID
brand
enum<string> | null
required
Available options:
VISA,
MASTERCARD,
AMEX,
ELO,
HIPERCARD,
DINERS,
DISCOVER,
JCB,
AURA,
CABAL,
OTHER
last_digits
string
required
Example:

"4242"

expiry_month
string
required
Example:

"12"

expiry_year
string
required
Example:

"2030"

funding
string | null
required
issuer
string | null
required
country
string | null
required
bin
string | null
required
segment
string | null
required
currency
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required